## Function template attr

boost::log::expressions::attr

## Synopsis

    // In header: <boost/log/expressions/attr.hpp>

    template<typename AttributeValueT>
      attribute_actor< AttributeValueT > attr(attribute_name const & name);

## Description

The function generates a terminal node in a template expression. The node will extract the value of the attribute with the specified name and type.